Skip to main content
POST
/
2
/
teams
/
{teamSlug}
/
api-keys
Create an API Key
curl --request POST \
  --url https://api.honeycomb.io/2/teams/{teamSlug}/api-keys \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "attributes": {
      "key_type": "ingest",
      "name": "us-west-2 collectors key",
      "disabled": false,
      "permissions": {
        "create_datasets": false
      }
    },
    "relationships": {
      "environment": {
        "data": {
          "id": "hxenv_12345678901234567890123456"
        }
      }
    }
  }
}
'
{
  "data": {
    "id": "hcxik_12345678901234567890123456",
    "attributes": {
      "key_type": "ingest",
      "name": "us-west-2 collectors key",
      "secret": "12345678901234567890123456789",
      "disabled": false,
      "permissions": {
        "create_datasets": false
      },
      "timestamps": {
        "created": "2022-09-22T17:32:11Z",
        "updated": "2022-10-31T15:08:11Z"
      }
    },
    "relationships": {
      "environment": {
        "data": {
          "id": "hxenv_12345678901234567890123456"
        }
      },
      "creator": {
        "data": {
          "id": "<string>"
        }
      },
      "editor": {
        "data": {
          "id": "<string>"
        }
      }
    },
    "links": {
      "self": "/2/teams/my-team/api-keys/hcxik_12345678901234567890123456"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.honeycomb.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authenticate using a Honeycomb Management Key.

Pass the Management Key as a Bearer token in the Authorization header:

Authorization: Bearer hcxmk_12345678901234567890123456:12345678901234567890123456789012

Construct the key value by joining the Key ID and Secret with a colon (:).

To learn how to create a Management Key, visit Manage Team API Keys. To learn more about authenticating requests, visit API Authentication.

Path Parameters

teamSlug
string
required

The slug of the Team

Body

application/vnd.api+json
data
object
required

Response

Created

data
object
required